.TH HG BRANCH  "" "" ""
.SH NAME
hg branch \- set or show the current branch name
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg branch [\-fC] [NAME]
.ft P
.fi
.SH DESCRIPTION
.IP Note
.
Branch names are permanent and global. Use \%\fBhg bookmark\fP\: to create a
light\-weight bookmark instead. See \%\fBhg help glossary\fP\: for more
information about named branches and bookmarks.
.RE
.sp
With no argument, show the current branch name. With one argument,
set the working directory branch name (the branch will not exist
in the repository until the next commit). Standard practice
recommends that primary development take place on the \(aqdefault\(aq
branch.
.sp
Unless \-f/\-\-force is specified, branch will not let you set a
branch name that already exists.
.sp
Use \-C/\-\-clean to reset the working directory branch to that of
the parent of the working directory, negating a previous branch
change.
.sp
Use the command \%\fBhg update\fP\: to switch to an existing branch. Use
\%\fBhg commit \-\-close\-branch\fP\: to mark this branch head as closed.
When all heads of a branch are closed, the branch will be
considered closed.
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-f,  \-\-force
.
set branch name even if it shadows an existing branch
.TP
.B \-C,  \-\-clean
.
reset branch name to parent branch name
.TP
.BI \-r,  \-\-rev \ <VALUE[+]>
.
change branches of the given revs (EXPERIMENTAL)
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
